# -*- coding: utf-8 -*-

# Copyright (c) 2008 - 2020 Kyoto University and Honda Motor Co.,Ltd.
# All rights reserved.
# HARK was developed by researchers in Okuno Laboratory
# at the Kyoto University and Honda Research Institute Japan Co.,Ltd.
# 
# Licensed under the HARK license, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
# https://www.hark.jp/notice/HARK_License_Agreement.pdf

class Source:
    def __init__(self, id=0, x=[0.0, 0.0, 0.0], power=0.0, remaining=0.0, count=0, last_found_count=0, tfindex=[0, 0, 0], tfindex_min=[0, 0, 0], tfindex_max=[0, 0, 0], compare_mode="TFINDEX"):
        self.id = id
        self.x = x
        self.power = power
        self.remaining = remaining
        self.count = count
        self.last_found_count = last_found_count
        self.tfindex = tfindex
        self.tfindex_min = tfindex_min
        self.tfindex_max = tfindex_max
        self.compare_mode = compare_mode
